# IMCFont Struct Reference
[MCCore]

Inheritance diagram for IMCFont:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | GetName (TMCString &outName) const =0
virtual int16 MCCOMAPI | GetFontNum () const =0
virtual int16 MCCOMAPI | GetFontType () const =0
virtual MCFontStyle MCCOMAPI | GetFontStyle () const =0
virtual real32 MCCOMAPI | GetSize () const =0
virtual uint32 MCCOMAPI | GetWeight () const =0
virtual MCErr MCCOMAPI | GetFontInfo (MCFontInfo &outInfo)=0
virtual void MCCOMAPI | SetName (const TMCString &inName)=0
virtual void MCCOMAPI | SetFontNum (int16 inFontNum)=0
virtual void MCCOMAPI | SetFontType (int16 inFontType)=0
virtual void MCCOMAPI | SetFontStyle (MCFontStyle inFontStyle)=0
virtual void MCCOMAPI | SetSize (real32 inSize)=0
virtual void MCCOMAPI | SetWeight (uint32 inWeight)=0
virtual void MCCOMAPI | Clone (IMCFont **clone) const =0
virtual void MCCOMAPI | CopyData (IMCFont *destFont) const =0
virtual MCErr MCCOMAPI | BuildOutline (TextBeginPathProc beginPathProc, TextLineToProc lineToProc, TextCurveToProc curveToProc, TextBezierProc bezierToProc, TextEndPathProc endPathProc, MCCharCode inChar, TMCCharacterMetrics &outMetrics, void *privData)=0

## Detailed Description

IMCFont is the interface to access a font.

## Member Function Documentation

virtual MCErr MCCOMAPI IMCFont::BuildOutline | ( | TextBeginPathProc | beginPathProc,
|  | TextLineToProc | lineToProc,
|  | TextCurveToProc | curveToProc,
|  | TextBezierProc | bezierToProc,
|  | TextEndPathProc | endPathProc,
|  | MCCharCode | inChar,
|  | TMCCharacterMetrics & | outMetrics,
|  | void * | privData |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IMCFont::Clone | ( | IMCFont ** | clone | ) | const`[pure virtual]`

virtual void MCCOMAPI IMCFont::CopyData | ( | IMCFont * | destFont | ) | const`[pure virtual]`

virtual MCErr MCCOMAPI IMCFont::GetFontInfo | ( | MCFontInfo & | outInfo | ) | `[pure virtual]`

virtual int16 MCCOMAPI IMCFont::GetFontNum | ( |  | ) | const`[pure virtual]`

virtual MCFontStyle MCCOMAPI IMCFont::GetFontStyle | ( |  | ) | const`[pure virtual]`

virtual int16 MCCOMAPI IMCFont::GetFontType | ( |  | ) | const`[pure virtual]`

virtual void MCCOMAPI IMCFont::GetName | ( | TMCString & | outName | ) | const`[pure virtual]`

virtual real32 MCCOMAPI IMCFont::GetSize | ( |  | ) | const`[pure virtual]`

virtual uint32 MCCOMAPI IMCFont::GetWeight | ( |  | ) | const`[pure virtual]`

virtual void MCCOMAPI IMCFont::SetFontNum | ( | int16 | inFontNum | ) | `[pure virtual]`

virtual void MCCOMAPI IMCFont::SetFontStyle | ( | MCFontStyle | inFontStyle | ) | `[pure virtual]`

virtual void MCCOMAPI IMCFont::SetFontType | ( | int16 | inFontType | ) | `[pure virtual]`

virtual void MCCOMAPI IMCFont::SetName | ( | const TMCString & | inName | ) | `[pure virtual]`

virtual void MCCOMAPI IMCFont::SetSize | ( | real32 | inSize | ) | `[pure virtual]`

virtual void MCCOMAPI IMCFont::SetWeight | ( | uint32 | inWeight | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IMCFont.h